> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Text to Audio

> Convert text to speech.



## OpenAPI

````yaml /en/api-reference/openapi_completion.json post /text-to-audio
openapi: 3.0.1
info:
  title: Completion App API
  description: >-
    The text generation application offers non-session support and is ideal for
    translation, article writing, summarization AI, and more.
  version: 1.0.0
servers:
  - url: '{api_base_url}'
    description: >-
      The base URL for the Completion App API. Replace {api_base_url} with the
      actual API base URL provided for your application.
    variables:
      api_base_url:
        default: https://api.dify.ai/v1
        description: Actual base URL of the API
security:
  - ApiKeyAuth: []
tags:
  - name: Completions
    description: Operations related to text generation and completion.
  - name: Files
    description: Operations related to file management.
  - name: End Users
    description: Operations related to end user information.
  - name: Feedback
    description: Operations related to user feedback.
  - name: TTS
    description: Operations related to Text-to-Speech and Speech-to-Text.
  - name: Applications
    description: Operations to retrieve application settings and information.
paths:
  /text-to-audio:
    post:
      tags:
        - TTS
      summary: Convert Text to Audio
      description: Convert text to speech.
      operationId: textToAudio
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TextToAudioRequest'
            examples:
              textToAudioExample:
                summary: Request Example
                value:
                  text: Hello, welcome to our service.
                  user: abc-123
                  voice: alloy
                  streaming: false
      responses:
        '200':
          description: >-
            Returns the generated audio file. The `Content-Type` header is set
            to the audio MIME type (e.g., `audio/wav`, `audio/mp3`). If
            `streaming` is `true`, the audio is streamed as chunked transfer
            encoding.
          content:
            audio/mpeg:
              schema:
                type: string
                format: binary
        '400':
          description: >-
            - `app_unavailable` : App unavailable or misconfigured.

            - `provider_not_initialize` : No valid model provider credentials
            found.

            - `provider_quota_exceeded` : Model provider quota exhausted.

            - `model_currently_not_support` : Current model does not support
            this operation.

            - `completion_request_error` : Text-to-speech request failed.
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
                provider_not_initialize:
                  summary: provider_not_initialize
                  value:
                    status: 400
                    code: provider_not_initialize
                    message: >-
                      No valid model provider credentials found. Please go to
                      Settings -> Model Provider to complete your provider
                      credentials.
                provider_quota_exceeded:
                  summary: provider_quota_exceeded
                  value:
                    status: 400
                    code: provider_quota_exceeded
                    message: >-
                      Your quota for Dify Hosted OpenAI has been exhausted.
                      Please go to Settings -> Model Provider to complete your
                      own provider credentials.
                model_currently_not_support:
                  summary: model_currently_not_support
                  value:
                    status: 400
                    code: model_currently_not_support
                    message: >-
                      Dify Hosted OpenAI trial currently not support the GPT-4
                      model.
                completion_request_error:
                  summary: completion_request_error
                  value:
                    status: 400
                    code: completion_request_error
                    message: Completion request failed.
        '500':
          description: '`internal_server_error` : Internal server error.'
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    status: 500
                    code: internal_server_error
                    message: Internal server error.
components:
  schemas:
    TextToAudioRequest:
      type: object
      description: >-
        Request body for text-to-audio conversion. Provide either `message_id`
        or `text`.
      properties:
        message_id:
          type: string
          format: uuid
          description: Message ID. Takes priority over `text` when both are provided.
        text:
          type: string
          description: Speech content to convert.
        user:
          type: string
          description: User identifier.
        voice:
          type: string
          description: >-
            Voice to use for text-to-speech. Available voices depend on the TTS
            provider configured for this app. Use the `voice` value from [Get
            App Parameters](/api-reference/applications/get-app-parameters) →
            `text_to_speech.voice` for the default.
        streaming:
          type: boolean
          description: Whether to enable streaming response.
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key authentication. For all API requests, include your API Key in
        the `Authorization` HTTP Header, prefixed with `Bearer `. Example:
        `Authorization: Bearer {API_KEY}`. **Strongly recommend storing your API
        Key on the server-side, not shared or stored on the client-side, to
        avoid possible API-Key leakage that can lead to serious consequences.**

````